Page MenuHomePhabricator

Update Phabricator screenshots and videos in help/docs (clonable)
Closed, ResolvedPublic

Description

Phabricator screenshots and videos in help/docs on mediawiki.org (and elsewhere?) need update to match the current UI.

Event Timeline

Danny_B created this task.Jun 9 2016, 3:27 PM
Restricted Application added subscribers: Zppix, TerraCodes, Aklapper. · View Herald TranscriptJun 9 2016, 3:27 PM
Danny_B triaged this task as Medium priority.Jun 9 2016, 3:28 PM

@Danny_B: Which specific ones are outdated?

Sigh... Just go through all of them and update those which don't match. It will be majority I'd say, since they have been done before many updates, and especially before that one which changed UI.

Ie. these: https://www.mediawiki.org/w/index.php?title=Phabricator/Creating_and_renaming_projects&oldid=2141653

Danny_B renamed this task from Update Phabricator screenshots in help/docs to Update Phabricator screenshots and videos in help/docs.Jun 10 2016, 12:21 AM
Danny_B updated the task description. (Show Details)
Aklapper lowered the priority of this task from Medium to Lowest.Jun 10 2016, 1:29 PM

I'm happy to update screenshots, I won't update videos (so far we've done that once a year as GCI tasks). The scope of this task got broadened in the meantime. :(

@Aklapper Thanks.

Re examples: Unfortunatelly those images are not categorized in some category like "(Wikimedia) Phabricator screenshots", so it's hard to find all of them for comparison...

I searched and categorized a bit. Partially my fault as I uploaded some stuff to mw.org instead of Commons. :-/
https://www.mediawiki.org/wiki/Category:Phabricator
https://commons.wikimedia.org/wiki/Category:Phabricator

Aklapper renamed this task from Update Phabricator screenshots and videos in help/docs to Update Phabricator screenshots and videos in help/docs (clonable).Oct 31 2016, 6:59 PM

May I mentor this task for Google Code-in?

@husn_shujaat: Thanks for the interest and offer! :) To be honest, I'm not even sure how outdated the videos/screencasts are currently. Need to go through this and check if we can turn some videos into Google Code-in tasks...

If there is some work, need to check if https://www.mediawiki.org/wiki/Google_Code-in_2014/Phabricator_screencasts is still useful / up-to-date.

husn_shujaat added a comment.EditedNov 28 2016, 9:49 AM

Some videos have the old UI which still help because there hasn't been much difference.

These ones really need an update:

  • How to fill your Phabricator profile
  • Watching a project to receive its notifications
  • Ways to create a task.
  • There are several actions that you can perform at the same time that you comment.
  • Screencast showing how to request a project

From https://www.mediawiki.org/wiki/Google_Code-in_2014/Phabricator_screencasts only "creating task via email" needs to have a screencast

So, I guess we create separate tasks for these 6 videos

husn_shujaat added a comment.EditedNov 28 2016, 7:07 PM

Perfect. I'll create 6 separate tasks for the 6 videos (on GCI), I'm afraid two students might end up working on the same video.

Thanks a lot! I've edited the descriptions a bit and published half of them, will publish the rest later! :)

I think two more videos could be added to Phabricator's help page

I'll mentor this task.

Aklapper moved this task from Backlog to Phabricator on the Documentation board.Nov 20 2017, 1:10 PM

Thanks! I'll co-mentor. :) I'm not sure we want to advertise Herald more here, because it creates some performance issues.
I'll post here in Markdown the description on the GCI site:

Phabricator's help page has instruction on how to create task using email, but we also need a screencast showing how to do it.
For this task, you will have to know how to create a screencast and also [edit a wiki page](https://meta.wikimedia.org/wiki/Help:Editing). Make sure that you speak slowly, and do not include anything unrelated (for example, your operating system's panel should not be shown, and the video should not include any "advertisement" of video software either).

Instructions:
1. [Create a phabricator account](https://www.mediawiki.org/wiki/Phabricator/Help#Creating_your_account) (if you don't have one already)
2. [Follow the instructions](https://www.mediawiki.org/wiki/Phabricator/Help#Using_email) whilst recording it. You can create a sample task and then after finishing your video, mark the task as closed.
3. [Upload your video to Commons](https://commons.wikimedia.org/wiki/Main_Page)
4. Add the video to [Phabricator's help page](https://www.mediawiki.org/wiki/Phabricator/Help#Using_email)

I'm going to allow myself to co-mentor them too :)

Aklapper closed this task as Resolved.Feb 11 2018, 10:03 PM

Phabricator screenshots and videos in help/docs on mediawiki.org (and elsewhere?) need update to match the current UI.

As far as I know we're fine. If there are specific issues in the docs, please file a new task pointing them explicitly out. Or just edit. :)